> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-conventions/request-headers.md).

# Request headers

Headers used when sending Eseye API requests.

Use these headers when sending requests to Eseye APIs.

### Base URLs

Each API reference provides the production base URL for that API. Always send requests over HTTPS.

For example, the SIM API uses:

```
https://sim.api.anynetiot.com
```

The authentication service uses a separate regional URL. See [Authentication](/api-reference/authentication.md) for details.

### Authorization

Every protected request requires a bearer token:

```http
Authorization: Bearer <access-token>
```

### Accept

Request a JSON response with:

```http
Accept: application/json
```

### Content-Type

Send JSON request bodies with:

```http
Content-Type: application/json
```

The token endpoint requires:

```http
Content-Type: application/x-www-form-urlencoded
```

{% hint style="warning" %}
Send client credentials only to the token endpoint. Do not send them to API endpoints.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-conventions/request-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
